/**
 * Represents the view of attained points
 *
 * @author Dietrich Boles (University of Oldenburg, Germany)
 * @version 1.0 (17.12.2008)
 *
 */
public class Points {
    Counter counter;

    Points() {
        TetrisWorld world = TetrisWorld.getWorld();
        counter = new Counter("");
        world.add(counter, world.getNumberOfColumns() / 2,
            world.getNumberOfRows() - 1);
    }

    void add(int points) {
        counter.add(points);
    }

    int getPoints() {
        return counter.getValue();
    }
}
